//@ sourceURL=dispositivos.js 
jQuery(function($){

	initRupI18nPromise.then(function() {
		prepareData();		
	});
	
	function prepareData(){
		
		$("#idDispositivo35_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		$("#idTerminal34_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		
		
		$('#fInstalacion23Desde_filter_table').rup_date({
			//yearRange: 'c-120:c-40',
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true
		});
		
//		const fecha = new Date();
//		const anoActual = fecha.getFullYear();
//		$("#fInstalacion23Desde_filter_table").rup_date("setRupValue", "01/01/"+anoActual);
		
		let tableColModels = [	
			
				{ 	name: "solicitantes.identificador01",
					index: "solicitantes.identificador01",
					editable: true, 
					hidden: false
				},			
				{ 	name: "solicitantes.nombre01",
					index: "solicitantes.nombre01",
					editable: true, 
					hidden: false
				},
				
				{ 	name: "fInstalacion23",
					index: "fInstalacion23",
					editable: true, 
					hidden: false
				},
				{ 	name: "terminal23.desc",
					index: "terminal23.desc",
					editable: true, 
					hidden: false
				},
				{ 	name: "dispositivo23.desc",
					index: "dispositivo23.desc",
					editable: true, 
					hidden: false
				}			
				];
	
		let columnDefs = [ 
//			{ 
//				"targets": 1,
//				"render": function(data, type, row, settings){	
//					
//					
//					return  row.dispositivo23.desc;
//				}
//			}
		];
		
		$("#dispositivosMunicipio").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "solicitantes.identificador01"
			,filter:{
	  	  		id:"dispositivosMunicipio_filter_form",
	  	  		filterToolbar:"dispositivosMunicipio_filter_toolbar",
	  	  		collapsableLayerId:"dispositivosMunicipio_filter_fieldset",
	  	  		showHidden: true
			}
	   		,select: {
	       		activate: true
	   		}
	   		,noEdit : true
			,seeker: {
				activate: true
			}
	   		,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
			}
			,order: [[0, "asc"]]
		});
		$('#municipioDesc_filter_table').val(municipio);
		$('#provinciaDesc_filter_table').val(provincia);
		$('#municipioDesc_filter_table').prop("disabled",true);
		$('#provinciaDesc_filter_table').prop("disabled",true);
		
	}
});